Index: FL/Fl_Spinner.H
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- FL/Fl_Spinner.H	(revision 11028)
+++ FL/Fl_Spinner.H	(revision )
@@ -43,7 +43,7 @@
   \image latex Fl_Spinner.png "Fl_Spinner widget" width=6cm
 */
 class FL_EXPORT Fl_Spinner : public Fl_Group {
- 
+
   double	value_;			// Current value
   double	minimum_;		// Minimum value
   double	maximum_;		// Maximum value
@@ -54,7 +54,22 @@
 // NEW
 protected:
 #endif
-  Fl_Input	input_;			// Input field for the value
+  class Fl_UpDownInput : public Fl_Input {
+  public:
+	Fl_UpDownInput(int X, int Y, int W, int H)
+			: Fl_Input(X, Y, W, H) {}
+
+	int handle(int event) {
+		if (event == FL_KEYBOARD) {
+			const int k = Fl::event_key();
+			if (k == FL_Up || k == FL_Down) return 0;
+			return Fl_Input::handle(event);
+		}
+		return Fl_Input::handle(event);
+	}
+  };
+
+  Fl_UpDownInput input_;			// Input field for the value
   Fl_Repeat_Button
 		up_button_,		// Up button
 		down_button_;		// Down button
